Bluetooth Tray

The Bluetooth tray resides in the Windows system tray, which is normally located in the lower-right corner of the screen. The Bluetooth tray provides fast access to most Bluetooth operations.

From the Bluetooth tray you can:

  • Access My Bluetooth Places—double-click the Bluetooth icon, or right-click the Bluetooth icon and then select Explore My Bluetooth Places.

  • Access the Bluetooth Setup Wizard. This wizard will help you:

  • Configure how this computer accesses a service on another Bluetooth device

  • Locate remote Bluetooth devices

  • Configure the way that this computer provides services to remote Bluetooth devices

  • Set the name and type of this Bluetooth device, e.g., "John's PC" and "Desktop."

  • Access the Bluetooth Configuration Panel—right-click the Bluetooth icon, and then select Advanced Configuration.

  • Access the Quick Connect option—right-click the Bluetooth icon, select Quick Connect, and then select the type of service to which you wish to connect.

  • Start/Stop Bluetooth on this computer.


Bluetooth Icon

The Bluetooth icon in the Windows system tray provides at-a-glance feedback about Bluetooth status:

Bluetooth Icon Indicates Bluetooth Status
Enabled | Disabled | Connected


Device Icons for Windows 9x, ME and 2K

Device Icons for
Windows 9x, Me and 2K

Name | Normal | Connected | Paired
Audio Gateway |  |  |
Desktop |  |  |
Headset |  |  |
Laptop |  |  |
Modem |  |  |
Network Access Point |  |  |
Personal Digital Assistant |  |  |
Printer |  |  |
Telephone |  |  |
Unknown |  |  |

Previous Window


Service Icons for Windows 9x, ME and 2K

Service Icons for
Windows 9x, Me and 2K

Name | Normal | Connected | Not Available*
Audio Gateway |  |  |
Dial-up Networking |  |  |
Fax |  |  |
Headset |  |  |
Network Access |  |  |
PIM Item Transfer |  |  |
PIM Synchronization |  |  |
Public Folder |  |  |
Serial Port |  |  |

*Services may be unavailable because they are in use or because the necessary hardware is not installed.

Previous Window


Device Icons for Windows XP

Device Icons for
Windows XP

Name | Normal | Connected | Paired
Audio Gateway |  |  |
Desktop |  |  |
Headset |  |  |
Laptop |  |  |
Modem |  |  |
Network Access Point |  |  |
Personal Digital Assistant |  |  |
Printer |  |  |
Telephone |  |  |
Unknown Device |  |  |

Previous Window


Service Icons for Windows XP

Service Icons for
Windows XP

Name | Normal | Connected | Not Available*
Audio Gateway |  |  |
Dial-up Networking |  |  |
Fax |  |  |
Headset |  |  |
Network Access |  |  |
PIM Item Transfer |  |  |
PIM Synchronization |  |  |
Public Folder |  |  |
Serial Port |  |  |

*Services may be unavailable because they are in use or because the necessary hardware is not installed.

Previous Window


Start or Stop Bluetooth

To start Bluetooth: in the Windows system tray, right-click the Bluetooth icon and select Start Bluetooth Device. The Bluetooth icon is blue in color with a white insert when Bluetooth is running.

To stop Bluetooth: in the Windows system tray, right-click the Bluetooth icon and select Stop Bluetooth Device. The Bluetooth icon is blue in color with a red insert when Bluetooth is stopped.


Quick Connect

Quick Connect allows you to:

  • Rapidly re-establish a previous connection

or

  • Establish a new connection and remember it for future Quick Connect use.

To Use Quick Connect

  1. From the Windows system tray, right-click the Bluetooth icon and select Quick Connect from the shortcut menu.

  2. From the next shortcut menu, pause the cursor over the name of the service you wish to use, and then from that service's shortcut menu, select an option. The options are:

  3. The name(s) of previous connection(s) and the words "Other Devices..." If the device you want to connect with is not in the list of previous connections, click "Other Devices..." to locate it.

or

  1. If there are no previous connections in the list, the words "Find Devices..." will be the only content of the shortcut menu. Select this option to locate devices that potentially provide the desired service.


Find Bluetooth Devices

Search for Devices looks for Bluetooth devices in the vicinity and displays the devices that it finds in My Bluetooth Places.

To start a search for devices, in the Folders pane of My Bluetooth Places, select Entire Bluetooth Neighborhood, and then, from the Bluetooth menu, select Search for Devices.

  • The Bluetooth menu is only visible when My Bluetooth Places is active.

Periodic Search for Devices

Bluetooth can be configured to automatically search for devices on a regular basis (Bluetooth Configuration Panel > Discovery tab).

One of the advantages of Bluetooth is the mobility the wireless connections allow. However, mobility means that devices may move in or out of connection range during the time between the automatic updates performed by Bluetooth. To be certain that the displayed list of devices in the neighborhood is current, or if automatic periodic inquiry is not enabled, force an update of the device list using the technique described in Search for Devices, above.

Some devices within connection range may not show up in the list of devices found because

  • Your device is configured to report only specific types or classes of devices (Bluetooth Configuration Panel > Discovery tab, on your device).

  • The unlisted device is configured to be non-discoverable (Bluetooth Configuration Panel > Accessibility tab, on the un-listed device).


Find A Service

The process of determining the services that a device provides is called Service Discovery.

To initiate a Service Discovery

In the Folders pane of My Bluetooth Places, right-click a device name and select Discover Available Services from the shortcut menu.

The services supported by Bluetooth are

  • Bluetooth Serial Port—a wireless connection between two devices. This connection can be used by applications as though a physical serial cable connected the devices.

  • Dial-up Networking—allows a device to use a modem that is physically attached to another Bluetooth device.

  • Fax—allows a device to send a fax using a remote Bluetooth cell phone, modem, or computer.

  • File Transfer—allows a device to perform file system operations on another Bluetooth device; browse, open, copy, etc.

  • Headset—allows a Bluetooth headset to be used as the audio input/output mechanism for another Bluetooth device, such as a computer or cell phone.

  • PIM Item Transfer—allows two Bluetooth devices to exchange Personal Information Manager data such as business cards, calendar items, email messages, and notes.

  • PIM Synchronization—allows two Bluetooth devices to synchronize Personal Information Manager data.

  • Network Access—allows a device to access a Local Area Network via a second Bluetooth device that is physically connected to the network or allows a remote device to become part of an ad hoc network provided by the Bluetooth server.

  • Audio Gateway—allows the microphone/speakers on Bluetooth device (typically a computer) to be used as the audio input/output mechanism for a remote Bluetooth device, such as a cell phone.

All Bluetooth servers do not necessarily provide all of these services. For example, network gateways may provide only the Network Access service.


Services

Bluetooth Services, Overview

Bluetooth services are those things that this computer can do for remote Bluetooth devices. For example, if this computer allows a remote Bluetooth device to send a fax using a fax modem that is physically attached to this computer, then this computer is providing the Bluetooth fax service.

Some services are hardware dependant; this computer cannot provide the fax service unless it has a physical fax modem, for example.

Some Bluetooth services use virtual “hardware.” The Bluetooth Serial Port service, for example, does not use a physical port on this computer. Instead, it creates virtual serial ports that Windows applications can see and use as if they were actual physical ports.

Each Bluetooth service that this computer is capable of providing can be started automatically when Bluetooth starts. Each service can be setup to require security measures before allowing a remote Bluetooth device to connect.

Bluetooth services require a Bluetooth application on the remote device; services and applications usually have coinciding names; i.e., there is a Bluetooth Fax Service and a Bluetooth Fax Application.

Bluetooth services that this computer may be able to offer

  • Audio Gateway—allows a remote Bluetooth device to become the audio input/output device for this computer.

  • Bluetooth Serial Port—allows a remote Bluetooth device to establish a wireless serial connection with this computer. The wireless serial connection may be used by applications as though a physical serial cable connected the devices.

  • Dial-up Networking—allows a remote Bluetooth device to use a modem that is physically attached to this computer.

  • Fax—allows a remote Bluetooth device to send a fax using a fax modem that is physically attached to this computer.

  • File Transfer—allows remote Bluetooth devices to perform file system operations to and from a configurable restricted area of this computer—browse, drag/drop, open, print, cut/copy, paste, delete, rename, etc.

  • Headset—allows a remote Bluetooth device to use this computer's microphone and speakers for its audio input/output.

  • PIM Item Transfer—allows remote Bluetooth devices to exchange Personal Information Manager data items with this computer.

  • PIM Synchronization—allows remote Bluetooth devices to synchronize a Personal Information Manager database with the PIM database on this computer.

  • Network Access—allows a remote Bluetooth device to access the Internet/Local Area Network via a physical connection on this computer or allows a remote device to become part of an ad hoc network provided by this computer.


Bluetooth Connection Status

The Bluetooth Connection Status dialog box displays information about the state of a connection and provides a means to disconnect an active connection.

Display the Connection Status dialog box

  • In My Bluetooth Places, from the Folders pane, select a device.

  • In the right pane of My Bluetooth Places, right-click a service name and select Status from the shortcut menu.

Information provided is:

  • Status: "Connected" or "Not Connected"

  • Device Name: the name of the device to which this computer is connected.

  • Duration: the length of time that this connection has been established, displayed in hours, minutes and seconds. Depending on the service, the connection may time out (automatically disconnect) after a specific period of inactivity.

  • Activity: the number of bytes sent and received over the connection.

  • Signal Strength: a graphic indicator that ranges from Too Weak through Good to Too Strong.

  • To change the power transmission level of this computer: from the Bluetooth Configuration Panel, Hardware tab, click the Advanced button, and then change the setting in the Maximum Power Transmission drop-down list. The Advanced button is not available in all countries.

The controls in the Bluetooth Connection Status dialog box are

  • Properties button: displays the Bluetooth Properties dialog box for this connection.

  • Disconnect button: closes this connection.

  • Close button: closes the Bluetooth Connection Status dialog box.


Send to Bluetooth

This feature is used to send information to another Bluetooth device. Data types include:

  • Files from Microsoft Explorer

  • Documents from Microsoft Office applications, including:

  • Word

  • Excel

  • Access

  • PowerPoint.

  • Microsoft Outlook items: contacts, appointments, tasks, messages, and notes.

To use Send to Bluetooth

  1. In the application:

    1. Microsoft Explorer—select one or more files to be transferred. Folders cannot be transferred.

    2. Microsoft Office—only the document in the active window can be transferred.

    3. Microsoft Outlook—select one or more items to be transferred.

  2. From the application's File menu, select Send To, and then select Bluetooth from the shortcut menu.

  3. Select a device from the shortcut menu to send the data

or

Select Other..., choose a device from the list, and then click OK to send the data.


Access the Bluetooth Configuration Panel

The Bluetooth Configuration Panel provides access to settings for Bluetooth services, client applications, hardware, security, discovery, accessibility, default paths, event notification and other Bluetooth related items.

To Open the Bluetooth Configuration Panel

  • From the Windows Control Panel, select Bluetooth Configuration

or

  • In the Windows System Tray, right-click the Bluetooth icon, and select Advanced Configuration from the shortcut menu.


Local Services versus Client Applications

Bluetooth Services versus Bluetooth Applications

Bluetooth Services are services that this computer provides to remote Bluetooth devices. The Bluetooth services on this computer are referred to collectively in the Bluetooth configuration panel as "Local Services."

Bluetooth Applications are software applications on this computer that allow this computer to use the Bluetooth services that are provided by remote devices. The Bluetooth applications on this computer are referred to collectively in the Bluetooth configuration panel as "Client Applications."

Bluetooth Services and Bluetooth Applications usually have coinciding names; e.g., there is a File Transfer service and a File Transfer client application.

How this computer provides a service to remote devices is configured on the Local Services tab of the Bluetooth configuration panel.

How this computer uses a service that is provided by a remote device is configured on the Client Applications tab of the Bluetooth configuration panel.


Bluetooth Exchange Folder

This is the highest-level directory on this computer to which a remote Bluetooth device has access.

Devices that have been granted access to this computer’s Bluetooth Exchange Folder also have access to all sub-folders contained within that folder and all files in those sub-folders.

  • The Bluetooth Exchange Folder is shared by the PIM Item Transfer and the File Transfer services and can be configured from the Properties page of either of those services. When the Bluetooth Exchange Folder is re-configured for either of these services, the other service will be updated to use the new location.


General Configuration Settings

The settings on the General tab of the Bluetooth Configuration Panel determine information that is displayed to remote devices.

Identity

  • Computer Name-enter a unique name to identify this computer to other Bluetooth devices in the vicinity; this field cannot be left blank.

  • Computer type-select either Desktop or Laptop from the shortcut menu to set the type of icon remote devices will use to represent this computer.


Bluetooth Applications, Overview

Some built-in Bluetooth applications provide full functionality for a specific task, such as locating other Bluetooth devices or synchronizing two Personal Information Managers.

Other built-in Bluetooth applications provide a way for standard Windows applications to accomplish their tasks wirelessly. For example, a Bluetooth application may create a wireless serial connection between computers or provide wireless access to the Internet.

The difference between Bluetooth Applications and Bluetooth Services

  • Bluetooth Applications are software programs on this computer that allow this computer to use the Bluetooth services that are provided by other devices. In the Bluetooth configuration panel, these programs are referred to collectively as "Client Applications."

  • Bluetooth Services are software programs on this computer that provide a service to other devices. In the Bluetooth configuration panel, these applications are referred to collectively as "Local Services."

Client Applications and Local Services usually have coinciding names; e.g., there may be a Fax service and a Fax application.


Bluetooth Applications, General Configuration

All of the built-in Bluetooth applications allow you to rename the application and to require a secure connection when using the application.

To access the configuration properties page for a built-in Bluetooth application

  • In the Windows system tray, right-click the Bluetooth icon and select Advanced Configuration from the shortcut menu

or

  • From the Windows control panel select Bluetooth Configuration

or

  • From Windows Explorer right-click Entire Bluetooth Neighborhood and select Properties from the shortcut menu.

In the Bluetooth configuration panel, Client Applications tab, highlight the application to be configured and then click Properties (or double-click the application).


Human Interface Device

The Human Interface Device (HID) Application allows this computer to wirelessly use one or more remote Bluetooth HIDs as input/output devices.

For example, the HID Application allows this computer to use a Bluetooth keyboard and a Bluetooth mouse.

Create a Bluetooth HID connection

  • Some HIDs have multiple modes. Before establishing a connection, be sure the HID is in the desired mode. For example, in the case of an HID that can function as both a mouse and a laser pointer, be sure the mode switch is set to “Mouse” before attempting to connect.

Open a connection to a Bluetooth Human Interface Device using one of these techniques:

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

Once an HID connection is established, that connection will persist. If the computer is shut down, when the computer is turned on again the connection will re-establish automatically.

  • HIDs usually have a button, which is sometimes difficult to find, that must be pressed before other Bluetooth devices can locate the HID. Even after the button is pressed, the HID can only be discovered for a limited time, and then the button must be pressed again. The time period can be as short as 30 seconds or as long as 180 seconds.

Read the documentation that accompanies the HID before you attempt to connect to the device.

Close an HID connection

Under normal circumstances, there is no reason to close an HID connection; once established the connection is maintained automatically, even during the power off and power on processes.

If, for some reason, the connection must be closed: from My Bluetooth Places, right-click the service name and select Disconnect.

When an HID connection is closed manually by the operator, the connection’s “persistence” is broken. The connection must be re-established manually, after which the connection will again persist until broken manually.

Configure

No configuration is necessary.


Audio Gateway Application, Overview

The Audio Gateway Application allows a remote Bluetooth device to use this computer’s microphone and speakers as the remote device’s audio input and output devices.

Open a connection to the Audio Gateway service that is provided by another Bluetooth device using one of these techniques:

  • Windows system tray, Bluetooth icon

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

Close an audio gateway connection:

  • If the connection was established via the Bluetooth icon in the Windows system tray; click the Bluetooth icon, select Quick Connect, Audio Gateway and then select the device that is providing the service (active connections have a checkmark in front of them).

or

  • No matter how the connection was created, In My Bluetooth Places, right-click the service name and select Disconnect.


Audio Gateway Application, Configure

The Bluetooth Configuration Panel > Client Applications > Audio Gateway > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.


Bluetooth Serial Port Application, Overview

The Bluetooth Serial Port application allows this computer to establish a wireless serial connection with a remote Bluetooth device.

The applications on both this computer and the remote device must be configured to send and receive data to and from the respective communications port (COM port) assigned to the Bluetooth serial port. The wireless serial connection may then be used by the applications as though a physical serial cable connected the devices.

Create a Bluetooth Serial Port connection

Establish a connection using one of these techniques

  • Windows system tray, Bluetooth icon

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

Close a Bluetooth Serial Port connection

  • If the connection was established via the Bluetooth icon in the Windows system tray; click the Bluetooth icon, select Quick Connect, Bluetooth Serial Port and then select the device that is providing the service (active connections have a checkmark in front of them).

or

  • No matter how the connection was created, In My Bluetooth Places, right-click the service name and select Disconnect.


Bluetooth Serial Port Application, Configure

The Bluetooth Configuration Panel > Client Applications > Bluetooth Serial Port > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.

  • The communications port (COM port) to be used.

  • Unless you have a specific reason to do so, DO NOT CHANGE the default COM Port setting.


Dial-up Networking Application, Overview

The Bluetooth Dial-up Networking application allows this computer to use a modem that is physically connected to a remote device to access the Internet, log on to a remote network.

Open a connection to the Dial-up Networking service that is provided by another Bluetooth device using one of these techniques:

  • Windows system tray, Bluetooth icon

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

After the Bluetooth dial-up networking connection is established it can be used the same way as any other networking connection. For example, you can open a browser and explore the World Wide Web, if the remote computer has Internet access.

Close a Dial-up Networking connection

  • If the connection was established via the Bluetooth icon in the Windows system tray; click the Bluetooth icon, select Quick Connect, Dial-up Networking and then select the device that is providing the service (active connections have a checkmark in front of them).

or

  • No matter how the connection was created, In My Bluetooth Places, right-click the service name and select Disconnect.


Dial-up Networking Application, Configuration

Dial-up Networking Application, Configure

The Bluetooth Configuration Panel > Client Applications > Dial-up Networking > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.

  • The Bluetooth virtual device to be used.

  • Unless you have a specific reason to do so, DO NOT CHANGE the default Bluetooth device or alter the device's configuration.


Fax Application, Overview

The Bluetooth Fax service allows this computer to send a fax using a Fax/Modem that is physically connected to a remote device.

To Send a Fax

  1. Open a connection to the Fax service that is provided by another Bluetooth device, using one of these techniques:

  2. Windows system tray, Bluetooth icon

  3. From Bluetooth Explorer

  4. Using the Bluetooth Setup Wizard

  2. Open or create the document to be faxed and select the "Print," "Send to Fax Recipient" or similar command that is available in most applications.

Close a Fax Connection

Fax connections close automatically when the Fax transmission is complete.


Fax Application, Configure

The Bluetooth Configuration Panel > Client Applications > Fax > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.


Headset Application, Overview

The Headset application allows this computer to use a Bluetooth headset (or any other device that offers the Bluetooth headset service) as the audio input and output device for this computer.

Possible uses include:

  • If this computer has on-board telephone hardware, a Bluetooth headset might be used as the audio input/output device to make/receive telephone calls.

  • If this computer has voice recognition capabilities, a Bluetooth headset might be used as the audio input device.

Any other scenario that requires audio input/output can potentially take advantage of a Bluetooth headset to replace a hardwired microphone and/or speakers.

  • Windows 98 limitation

Create a Headset connection

Establish a connection using one of these techniques:

  • Windows system tray, Bluetooth icon

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

  • Most Bluetooth headsets "ring" when a connection is attempted; answer the ring to complete the connection and begin using the headset as the audio input/output device for this computer.

Close a Headset connection

  • If the connection was established via the Bluetooth icon in the Windows system tray; click the Bluetooth icon, select Quick Connect, Headset and then select the device that is providing the service (active connections have a checkmark in front of them).

or

  • No matter how the connection was created, in My Bluetooth Places, right-click the service name and select Disconnect.


Headset Application, Configure

The Bluetooth Configuration Panel > Client Applications > Headset > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.

  • Windows 98 limitation


File Transfer Application, Overview

The Bluetooth File Transfer application allows this computer to perform file operations on the Bluetooth Exchange Folder (and the folders and files it contains) of a remote device.

Copy to/from a remote device

In the Folders pane of Explorer, from the Entire Bluetooth Neighborhood branch, select a device and expand that branch to view the Bluetooth Exchange Folder of the remote device.

  • If “Public Folder” is not available, the remote device is not configured to allow remote file operations.

Use drag-and-drop to copy any file or folder contained in the Public Folder of the remote device to the desired folder on this computer.

You can also drag-and-drop files or folders from this computer to the Public Folder (and its sub-folders) of the remote device.

Other file operations

Right-click a file or folder in the remote device’s Public Folder for a context sensitive menu. All potential menu options may not be available at all times.

Potential menu options include:

  • Open—opens the selected file on this computer, using the default application for this type of file.

  • Print—sends the selected file to this computer’s default printer.

  • Send To

  • 3 ½ floppy (A)—the 3 ½ inch floppy drive on this computer

  • Bluetooth Exchange Folder—the Bluetooth Exchange Folder on this computer.

  • Rename—applies only to empty folders; file names and the names of folders that contain objects cannot be changed using this technique.

  • Cut, Copy, Paste, Delete, Refresh, View & New—standard Windows functions.


File Transfer Application, Configure

The Bluetooth Configuration Panel > Client Applications > File Transfer > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.


Network Access Application, Overview

The Bluetooth Network Access application makes it possible for this computer:

  • To connect to a Local Area Network via a physical connection on a remote Bluetooth device.

or

  • To connect to an ad hoc network provided by a remote Bluetooth device.

The type of network connection that is available is determined by the configuration of the remote Bluetooth device.

Create a Network Access connection

Establish a connection using one of these techniques

  • Windows system tray, Bluetooth icon

  • From Bluetooth Explorer

  • Using the Bluetooth Setup Wizard

Close a Network Access connection

  • If the connection was established via the Bluetooth icon in the Windows system tray; click the Bluetooth icon, select Quick Connect, Network Access and then select the device that is providing the service (active connections have a checkmark in front of them).

or

  • No matter how the connection was created, In My Bluetooth Places, right-click the service name and select Disconnect.


Network Access Application, Configure

The Bluetooth Configuration Panel > Client Applications > Network Access > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.


PIM Synchronization Application, Overview

The PIM Synchronization Application is used to synchronize the Personal Information Manager (PIM) database of this computer with the PIM database of a remote Bluetooth device.

The supported PIMs are:

  • Microsoft Outlook

  • Microsoft Outlook Express

  • Lotus Notes.

The supported data types are:

  • Business cards

  • Calendar items

  • Email (with or without attachments)

  • Notes.


PIM Synchronization Application, Configure

The Bluetooth Configuration Panel > Client Applications > PIM Synchronization > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.

  • The PIM items to be synchronized and the PIM on this computer with which those items should be synced.

  • If synchronization is enabled for a specific item type, but is not enabled for that item type on the remote device, synchronization WILL NOT take place for that item.

The data item types which can be synchronized are:

  • Business cards

  • Calendar items

  • Email (with or without attachments-see below)

  • Notes

  • Possible synchronization options for each of these data item types include:

  • Do Not Synchronize-this item type will not be synchronized

  • Synchronize Microsoft Outlook-this item type will be synced with its matching entry in Microsoft Outlook, regardless of the PIM that contains this entry on the remote device. If a matching Outlook entry does not exist, it will be created

  • Synchronize Outlook-Express-this item type will be synced with its matching entry in Express, regardless of the PIM that contains this entry on the remote device. If a matching Express entry does not exist, it will be created

  • Synchronize Lotus Notes-this item type will be synced with its matching entry in Lotus Notes, regardless of the PIM that contains this entry on the remote device. If a matching Notes entry does not exist, it will be created.

  • All choices are not available for all items. For example, "Note" items can only be synchronized in Microsoft Outlook, therefore Lotus Notes and Outlook Express do not appear as options in the "Notes" item shortcut menu.

  • Personal Information Managers that are not installed on this computer do not appear as options in the shortcut menus.

  • Email attachments. The only option is include or do not include attachments with email that is sent or received on this computer using this service.


PIM Item Transfer Application, Overview

The Bluetooth PIM Item Transfer application allows this computer to send and receive Personal Information Manager items to-and-from a remote Bluetooth device. Item transfer can be accomplished several ways:

  • To send, receive or exchange business cards:

  • From Windows Explorer, My Bluetooth Places, right-click the PIM Item Transfer service on a remote device and select the appropriate option.

or

  • In the Windows system tray, right-click the Bluetooth icon, select Quick Connect > Business Card Exchange, select a device from the list, select the appropriate option from the shortcut menu, and then click OK.

  • From Windows Explorer, My Bluetooth Places, highlight the PIM Item Transfer service on a remote device, and then, from the Bluetooth menu on the Windows menu bar, select the appropriate action.
    In addition to the business card options listed above, you can also send Notes, Email, and Calendar items from this menu.

  • From within a supported Personal Information Manager, select one or more items and then, from the PIM's File menu, select Send to Bluetooth.

Whether sent items are accepted by the remote device is determined by how the remote device's PIM Item Transfer service is configured.

Close a PIM Item Transfer Connection

This application closes the open connection automatically when its task is complete.


PIM Item Transfer Application, Configure

The Bluetooth Configuration Panel > Client Applications > PIM Item Transfer > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.

  • How your business card is handled when it is requested by a remote device. The Send My Business Card options are:

  • Choose a business card as needed-each time a remote device requests your business card you must select a card from your PIM. If you ignore the request the remote device will receive a timeout notice.

  • Always send the same business card-when this option is selected a dialog appears that allows you to set a default business card, which will be sent automatically when requests are received.

  • Where to store received business cards. The Received Business Cards options are:

  • Microsoft Outlook

  • Outlook Express

  • Lotus Notes

  • The selected Received Business Cards option does not influence the settings on other PIM-related property pages.
    For example, even if the PIM Item Transfer service business card option on this computer is configured to "Do Not Accept," the PIM Item Transfer application will still accept business cards that the application has specifically requested via its "Receive" or "Exchange" functions.

  • Email attachments. The only option is include or do not include attachments with email that is sent or received on this computer using this service.


Printer Application, Overview

The Bluetooth Printer application allows this computer to use a Bluetooth printer.

Once a Bluetooth printer has been properly installed it can be used from this computer in the same way as any other printer would be.


Printer Application, Configure

The Bluetooth Configuration Panel > Client Applications > Printer > General tab provides options to configure:

  • The application name—to change it, highlight the existing name and enter the new name.

  • Enable or disable secure connection. To enable secure connection, place a checkmark in the box.


Install a Bluetooth Printer

Installation Option One:

Perform a search for devices and then, from Entire Bluetooth Neighborhood, right-click a Bluetooth printer and select Add Printer from the shortcut menu.

Follow the on-screen instructions.

When the wizard asks you to select a printer make and model, do so.
If your printer is not in the list of options, click Have Disk…, insert the driver disk for the printer, and then navigate to the drive and directory that contains the driver initiation file (*.inf) for the printer.

To complete the installation, follow the on-screen instructions.

Installation Option Two:

  1. From the Windows Control Panel, select Printers > Add Printer > Next > Local printer > Next

  2. On the Select the Printer Port screen of the wizard:

    1. Select Create a new port

    2. In the Type shortcut menu, select Bluetooth Printer Port, and then click Next

  3. On the next screen, select the printer by name, and then click Connect.

  4. Install the driver: when asked to select a printer make and model, do so.
    If your printer is not in the list of options, click Have Disk…, insert the driver disk for the printer, and then navigate to the drive and directory that contain the driver initiation file (*.inf) for the printer.

To complete the installation, follow the on-screen instructions.

Delete a Printer

  • Click Start > Settings > Printers, right-click the printer to be deleted, and then select Delete from the shortcut menu.

or

  • In Entire Bluetooth Neighborhood, right-click an installed Bluetooth printer and select Delete Printer from the shortcut menu.


Bluetooth Services, Common Configuration Settings

These properties can be set individually for each Bluetooth service:

  • Service Name-the default name of each service can be changed.

  • Secure Connection-requires that remote devices provide proof of identity and that all data be encrypted.

  • Startup Automatically-starts the service automatically when Bluetooth is started.

  • Notifications-provides visual and/or audio notification that a remote device is attempting to connect (or has connected) to a service on this computer.


Notifications, Overview

There are three types of notification:

  • Authentication request, also called a PIN code request—this notification appears automatically in a balloon over the Windows system tray if a Personal Identification Code is required before a connection can proceed. An audio file can also be associated with the notification.

  • Authorization request, also called a connection request—this type of notification can be visual, audio, or both. It notifies you of attempts to access a Bluetooth service on this computer; the connection will not proceed until you click the balloon that appears over the Windows system tray. If the notification balloon is ignored, the connection request will time out and fail.

  • Notification only—this type of notification does not effect access in any way; it is solely for information purposes to let you know that a connection has been established.


Notifications, Example

Both Authentication and Authorization request notifications are controlled by whether Secure Connection is enabled for an individual service.

An example of how notifications might work when a remote device attempts to access a service on this computer, if all notifications are enabled:

  1. Authentication: a balloon notification (audio optional) appears to prompt for a PIN code. If the PIN code does not match the code entered on the remote device, the connection will not be allowed. Once the remote device has been authenticated this notification will not appear again, unless the paired relationship is broken and the devices must re-pair.

  2. Authorization: a balloon notification appears and/or a sound file provides audio notification that a remote device is attempting to access a Bluetooth service on this computer. Click the balloon to proceed. A dialog box appears that offers the option of letting the connection proceed this time only or to always allow this particular remote device to use the service it is attempting to access.

  3. Once a connection has been authorized, an additional visual and/or audio notification may appear (if enabled). This notification is for information only to inform the operator that a connection has been established.

After two devices are paired (step 1, above), the authentication notification will no longer appear when a connection is attempted.
If “Always allow…” is enabled during the authorization process (step 2, above), the authorization notification will not appear on future connection attempts.
Connection notification (step 3, above) only happens if it has been enabled on the Notifications tab of the individual service being accessed.


Service Access Notification

"Notifications" lets you associate a sound (Windows *.wav file) and/or a visual indication with access attempts by remote devices.

A different notification sound can be associated with each local Bluetooth service.

Associate a sound with service access

From the Bluetooth Configuration Panel, Local Services tab:

  • Double-click a service name and then select the Notifications tab.

  • Check the desired options; visual and sound may both be selected for a single event.

  • Choose a sound; click the Browse button and navigate to the sound file (*.wav) to be used for notification.
    To preview the sound file, click the play ( Play Button ) button.

  • Click OK to close the service's property dialog box.


Audio Gateway Service

The Bluetooth Audio Gateway service allows this computer to use a remote Bluetooth device’s microphone and speakers as this computer’s input and output devices.

For example, if this computer has voice recognition capabilities, a Bluetooth headset might be used as the audio input device.

Hardware Requirements

  • The Bluetooth radio on both this computer and the remote device must support audio.

  • The remote device handles both audio input and output for this computer; therefore this computer does not require a sound card, microphone, or speakers.

Configure the Audio Gateway Service

From the Windows system tray, right-click the Bluetooth icon, select Advanced Configuration > Local Services, and then double-click the Audio Gateway service.

Set the common configuration properties of the service, and then click OK.


Bluetooth Serial Port

Bluetooth Serial Port Service

The Bluetooth Serial Port service allows a remote Bluetooth device to establish a wireless serial connection with this computer. The wireless serial connection may be used by applications as though a physical serial cable connected the devices.

To establish a Bluetooth Serial Port connection

The connection must be initiated from the remote device by the Bluetooth Serial Port application.

Determine the communications port being used by this computer for the Bluetooth Serial Port

In the Windows system tray, right-click the Bluetooth icon, select Advanced Configuration, and then the Local Services tab. The COM port assigned to this service is the last item in the Bluetooth Serial Port service row. Configure the application on this computer that will use this service to send its data to this COM.


Local Device, Add A User Defined Bluetooth Serial Port

Add a Bluetooth Serial Port

The Bluetooth Serial Port service has one pre-configured Bluetooth Serial Port, but additional Bluetooth Serial Ports can be added as needed.

Add a Bluetooth Serial Port

  • From the Bluetooth Configuration Panel, Local Services tab, click Add Serial Service.

  • In the properties dialog box, modify the properties:

  • Enter a unique name (less than 99 alphanumeric characters).

  • Select secure connection, if desired.

  • Select Startup Automatically, if desired

  • From the COM Port shortcut menu select a communications port that is not assigned to any other service.

  • Click OK.


Local Device, Remove A User Defined Bluetooth Serial Port

Remove a Bluetooth Serial Port

From the Bluetooth Configuration Panel, Local Services tab, select the port to be removed and then click Delete.

  • The Delete button is only available when a Bluetooth Serial Port is selected.


Dial-up Networking

Dial-up Networking Service

The Bluetooth Dial-up Networking service makes it possible for a remote Bluetooth device to use a modem that is physically connected to this computer. The remote device can then access the Internet or log on to a remote network.

Configure the Dial-up Networking service:

From the Windows system tray, right-click the Bluetooth icon, select Advanced Configuration > Local Services, and then double-click the Dial-up Networking service.

    • Select the physical modem to be used from the Modems: shortcut menu.

    • Set the common configuration properties of the service, and then click OK.


Fax Service

The Fax service allows a remote Bluetooth device to send a Fax via a modem that is physically attached to this computer.

Configure the Fax service:

From the Windows system tray, right-click the Bluetooth icon, select Advanced Configuration > Local Services, and then double-click the Fax service.

  • Select the physical modem to be used from the Modems: shortcut menu.

  • Set the common configuration properties of the service, and then click OK.


File Transfer Service, Overview

The File Transfer service allows this computer to perform file operations on the Bluetooth Exchange Folder (and the folders and files it contains) of a remote device.

Basic setup procedure

Right-click the Bluetooth icon and select Explore My Bluetooth Places.

Configure Explorer so that the Folders pane is visible (View > Explorer Bar > Folders).

In the Folders pane, select Entire Bluetooth Neighborhood and then, on the menu bar, select Bluetooth > Search For Devices.

In the Folders pane, expand Entire Bluetooth Neighborhood to show the devices in the vicinity.

Copy to/from a remote device

In the Folders pane of Explorer, from the Entire Bluetooth Neighborhood branch, select a device and expand that branch to view the Bluetooth Exchange Folder of the remote device.

  • If “Public Folder” is not available, the remote device is not configured to allow remote file operations.

Use drag-and-drop to copy any file or folder contained in the Public Folder of the remote device to the desired folder on this computer.

You can also drag-and-drop files or folders from this computer to the Public Folder (and its sub-folders) of the remote device.

Other file operations

Right-click a file or folder in the remote device’s Public Folder for a context sensitive menu. All potential menu options may not be available at all times.

Potential menu options include:

  • Open—opens the selected file on this computer, using the default application for this type of file.

  • Print—sends the selected file to this computer’s default printer.

  • Send To

  • 3 ½ floppy (A)—the 3 ½ inch floppy drive on this computer

  • Public Folder on My Device—the Public Folder on this computer.

  • Rename—applies only to empty folders; file names and the names of folders that contain objects cannot be changed using this technique.

  • Cut, Copy, Paste, Delete, Refresh, View & New—standard Windows functions.


Headset Service

The Bluetooth Headset Service allows this computer to provide audio input/output for remote Bluetooth devices.

For example, if the remote device is a Bluetooth telephone, this computer’s microphone and speakers can be used as speakerphone input and output for that device.

  • Windows 98 limitation

Hardware Requirements

  • This computer must have a sound card, microphone, and speakers installed.

  • The Bluetooth radio on both on this computer and the remote device must support audio.

Configure the Headset Service

  • From the Windows system tray, right-click the Bluetooth icon, select Advanced Configuration > Local Services, and then double-click the Headset service.

  • Set the common configuration properties of the service, and then click OK.


Network Access

Network Access Service

The Bluetooth Network Access service makes it possible for a remote Bluetooth device to access a Local Area Network that is physically attached to this computer or allows a remote device to become part of an ad hoc network provided by this computer.

After this computer has been configured to provide the Network Access service to other Bluetooth devices, it will not be able to use the Bluetooth Network Access service provided by another Bluetooth device without being re-configured. Put another way, this computer cannot be both a Bluetooth Network Access server and a Bluetooth Network Access client at the same time.


Network Access Setup for Windows 98SE & Windows Me

  • Internet Protocol routing software is required on Windows 98SE and Windows Me servers.
    Install and configure the routing software as instructed by the software's manufacturer.

Configure the server:

  1. From the Windows Control Panel, double-click the Network icon.

  2. On the Configuration tab, select TCP/IP-> Bluetooth LAN Access Server Driver (scroll down if necessary).

  3. Click Properties and select the IP Address tab.

    1. Select Specify an IP address

    2. Enter an IP Address (suggested value—192.168.1.1)

    3. Enter a Subnet Mask (suggested value—255.255.255.0)

  4. Click OK twice to close the dialog boxes and then click YES to restart the computer.


Network Access Setup for Windows 2000

Network Access Setup for Windows 2000 and Windows XP

  1. From the Windows system tray, right-click the Bluetooth icon and select Advanced Configuration from the shortcut menu.

  2. In the Bluetooth configuration panel, select the Local Services tab, Network Access and then click Properties....

  3. From the Network Access, General properties page, in the Type of service shortcut menu, select "Allow other devices to access the Internet/LAN via this computer," and then click Configure Connection Sharing.

  4. Right-click Local Area Connection, select Properties and then select the Sharing tab.

  5. Select Enable Internet Connection Sharing for this connection, click OK, and then click YES in the confirmation dialog box.

Troubleshoot Internet Connection Sharing


PIM Item Transfer Service, Overview

The PIM Item Transfer service allows Personal Information Manager items to be transferred between this computer and a remote Bluetooth device.

Four data types are supported:

  • Business Cards

  • Calendar Items

  • Email Messages

  • Notes

Each data type can be saved in any of the supported and installed PIMs.

  • PIMs which are not installed on this computer will not appear in the shortcut menus.

When the PIM that is associated with an individual data type is changed on the PIM Item Transfer page, that data type is also changed for the PIM Synchronization service.


PIM Item Transfer Service, Configure

In addition to the configuration options common to all Bluetooth services, this service also has settings that determine:

  • How business card requests are handled. The options are:

  • Never send my business card—ignore the request

  • Choose a business card as needed—when prompted, select a business card to be sent to the requester.

  • Always send the same business card—when a request is received always send the same business card. When this option is selected, a dialog box appears from within which an installed Personal Information Manager (if more than one is installed on this computer) and an existing business card can be selected. (more information)

  • Previously sent business cards—once a card is selected using the “Always send the same business card” option, above, that card will be added to the shortcut menu as an option.

  • Previously sent business card additions to the menu are limited to ten, after which the oldest contact will be replaced.

  • Where to store inbound data items, on an individual basis. Options include (not all options apply to all items):

  • Do Not Accept

  • Any of the installed PIMs on this computer

  • Save to Folder

  • The Bluetooth Exchange Folder location—the directory on this computer where inbound items that are not to be saved in a PIM will be kept.

  • This is also the folder where the File Transfer service stores inbound items. If this folder is reconfigured here, it will also be reconfigured in that service automatically.

  • Whether to send/receive attachments with email. Check or clear this option, as appropriate.

Close a PIM Item Transfer connection

PIM Item Transfer connections close automatically when the data transfer is complete.


PIM Item Transfer Service, Default Business Card Selection

Default Business Card Selection
for the
PIM Item Transfer Service

This help page is about the “Always send the same business card” option on the shortcut menu that appears in the “Business card requests” area of the PIM Item Transfer Service property page.

Initial selection of a PIM

When the “Always send the same business card” option is selected, a dialog box appears to allow the selection of a default business card.
The first time the dialog box appears it provides a way to choose the Personal Information Manager that stores the default business card. Click the down-arrow in the PIM shortcut menu and select the PIM to be used.
On subsequent appearances of this dialog box, the PIM selection option is not available.

Change the selected PIM

On the PIM Item Transfer properties page, "Received items" section, there is a Business Cards shortcut menu. When a PIM was selected during initial setup the selected item in this menu was set to the same PIM. To change the PIM used for the default business card, open this shortcut menu and select a new PIM.

  • A new default business card must be selected from the database of the newly selected PIM.

Choose a default business card

  1. In the Select a Bluetooth Business Card dialog box that appears when “Always send the same business card” is selected, highlight the card.

  2. Once a card is highlighted, if you “hover” the mouse pointer over that selection, a balloon appears with additional information about that contact.

  2. Click OK to choose a highlighted business card and return to the PIM Item Transfer Properties page. The chosen contact now appears in, and is selected in, the “Business card requests” shortcut menu.

If the “Always send the same business card” option is selected again, and a different contact chosen, the properties page will display both contacts in the shortcut menu.

  • In addition to the default menu options, the shortcut menu can hold up to ten contact names.


PIM Synchronization

PIM Synchronization Service

The PIM Synchronization service can be used by a remote device to synchronize its Personal Information Manager (PIM) database with the PIM database of this computer..

Four data types are supported:

  • Business cards

  • Calendar items

  • Email messages

  • Notes.

Whether an individual item is accepted and where it is stored, when accepted, is configured in the PIM Item Transfer service. If that service is not configured to store a particular data type in Outlook, then that data type cannot be synchronized.

  • Data types that will be synchronized must be saved in the PIM database (this is configured in the PIM Item Transfer service); otherwise, that data type will not be available for selection (it will be grayed out) in the PIM Synchronization configuration settings.

Microsoft Outlook permits duplicate entries, so all duplicates may not be exchanged in the synchronization process.

  • Only Outlook’s default contacts folder is synchronized. Items in sub-folders are not synchronized. Items that are moved from the default folder to a sub-folder will appear to have been deleted the next time synchronization takes place.


Hardware Configuration

The Hardware tab of the Bluetooth Configuration Panel provides basic information about the Bluetooth hardware installed on this computer and access to the Advanced Settings dialog box, if required:

  • Devices:

  • Name: the name of the device, e.g., WIDCOMM Bluetooth Device

  • Type: the type of device, e.g., USB.

  • Device Properties:

  • Device status: indicates that the device is operating properly or that there is a problem/conflict.

  • Manufacturer: the name of the company that manufactured the device selected in the Devices section of this dialog box.

  • Firmware Revision: the manufacturer's firmware version number.

  • Device Address: the Bluetooth Device Address (BDA or BD_Addr) assigned to this device when it was manufactured.

  • HCI Version: the version number of the Bluetooth Specification that the Host Controller Interface complies with.

  • HCI Revision: the revision number of the Bluetooth Specification that the Host Controller Interface complies with.

  • LMP Version: the version number of the Bluetooth Specification that the Link Manager Protocol complies with.

  • LMP Sub Version: the sub-version number of the Bluetooth Specification that the Link Manager Protocol complies with.

  • The Advanced button: displays the Advanced Settings dialog box, which allows you to select the country code and transmission power settings. This option is not available on all systems.


Hardware Advanced Settings Dialog Box

When available, this dialog box is reached from the Hardware tab of the Bluetooth Configuration Panel.

  • Depending on the country in which the hardware is sold and/or in which it will be used, the Advanced button may not be present.

From this dialog box you can set the:

Country Code:

  • North America, Europe (except France), and Japan

  • France and China

Maximum Transmission Power:

  • High

  • Medium

  • Low.

Click Apply to implement the changes. A dialog box appears with notification that the Bluetooth device attached to this computer must be reset before the change(s) will take effect.

  • Click Yes to reset the Bluetooth device now—all open Bluetooth connections will be closed.

  • Click No to save the changes—the changes will be applied the next time the Bluetooth device is reset or restarted.


Accessibility Configuration Settings

The Accessibility tab of the Bluetooth Configuration Panel lets you specify whether remote devices may access this computer, which remote devices have access, and whether an audio warning is played when a Personal Identification Number (PIN code) is required.

Allow other devices to discover this computer

Select "Let other Bluetooth devices discover this computer" to permit remote Bluetooth devices to find and report this computer.
If "Allow No devices" (below) is selected, this option is not available.

Control the types of devices that are allowed to connect to this computer

From the "Devices allowed to connect to this computer" shortcut-menu, select:

  • No devices—no remote devices are permitted to initiate a connection with this computer. However, this computer can still initiate connections with remote Bluetooth devices.

  • All devices—all remote devices are permitted to connect to this computer.
    Connections are subject to additional security restrictions, such as authentication and authorization, that may be required by the individual services provided by this computer.

  • Only paired devices—only devices that have been paired with this computer are allowed to connect to it.

  • Only devices listed below—only the listed devices are allowed to connect to this computer (see Accessibility, adding and deleting devices).

Choose an audio notification file

When Secure Connection is enabled for any of the Bluetooth Services on this computer a PIN code is required before that service can be accessed. To chose a notification sound that will play when a remote device attempts to access a service that requires a secure connection, click Select audio file... and select the sound (*.wav) file to be played.


Accessibility, Adding and Deleting Devices

Limit access to this computer to specific remote devices

From the Bluetooth Configuration Panel, Accessibility tab, in the Allow shortcut menu, select "Only devices listed below".

Add a device to the list

  1. Click Add Device

  2. In the Devices with access... dialog box select the desired device(s) and click OK.

  3. Multiple devices may be selected using SHIFT + click and/or CTRL + click.

Delete a device from the list

In the list of devices allowed to access this computer, select the device to be removed from the list, and then click Delete.


Discovery Configuration Settings

The settings on the Discovery tab of the Bluetooth Configuration Panel determine whether this computer looks for other Bluetooth devices automatically, how often it looks and what type of devices it looks for.

Periodic Search for Devices

When "Look for other Bluetooth devices" is selected, Bluetooth automatically searches for devices every X minutes. X is an whole number between 1 and 60. To change the time between auto inquiries, highlight the existing time and enter the new time.

  • When My Bluetooth Places is first opened it performs an initial automatic search for devices even if "Look for other Bluetooth devices" is not enabled.

Determine the devices that will be reported

Bluetooth can screen out devices that you do not need access to.

The options are:

  • Report all Bluetooth devices

  • Report only selected Bluetooth devices (see Discovery, Adding Specific Devices and Discovery, Deleting Specific Devices).

Select the desired option from the drop-down list.


Discover Specific Devices

The type of device(s) that this computer looks for and reports when it is searching for other Bluetooth devices can be limited.

Limit the remote devices reported

Bluetooth can report only specific devices, specific class(es) of device(s), or specific type(s) of device(s) within a class.

  • Specific devices: an individual computer or Bluetooth cellular telephone are examples of specific devices.

  • Specific class of device: "computer" is an example of a class of devices

  • Specific type of device within a class: "laptop" is an example of a specific type of device within the "computer" class of devices.

The devices to be discovered can be mixed-and-matched; you can discover one or more specific devices, classes of devices and types of devices within a class at the same time.


Discovery, Deleting Specific Devices

Remove a device from the list of devices to be discovered

In the Bluetooth Configuration Panel, from the Discovery tab, select the device to be removed and click the Delete button.

  • If "Report only selected Bluetooth devices" is not selected the Delete button will not be available.

Temporarily override the discovery of specific devices

In the Bluetooth Configuration Panel, from the Discovery tab, select "Report all Bluetooth devices." The specifically selected devices will be discovered along with all other devices.

To re-enable specific device discovery re-select "Report only selected Bluetooth devices."

  • When all devices are deleted an error message will appear if “Report all Bluetooth devices” is not selected.


Authentication Defined

Authentication is used to verify identity; it requires a passkey or link key from the remote device. When a remote device attempts access, a visual and/or audio warning notifies the local operator.

If the notification is ignored, access is denied after a preset timeout.

When devices are “paired,” those devices automatically exchange a Link Key and Authentication is carried out without operator intervention.


Bluetooth Device Identity

Every Bluetooth device has a unique Bluetooth Device Address (BDA) assigned to it during the manufacturing process. This address cannot be changed by the end-user.

A device’s BDA is usually displayed in hexadecimal format; 00:D0:B7:03:2E:9F is a valid BDA.

Each Bluetooth device also has an operator-configurable, user-friendly name to help distinguish it from other devices. The user-friendly name may be up to 99 alphanumeric characters in length and may contain spaces. My Personal Computer is a valid user-friendly name.


Encryption

Encrypting data translates it into an unreadable format using a secret key or password. Decrypting the data requires the same key or password that was used to encrypt it.


Pairing Devices

Pairing allows you to avoid entering access information each time a connection is attempted. Paired devices share a unique Link Key, which they exchange each time they connect.

  • The mate of a pair always appears in My Bluetooth Places, even if the mate is not turned on or is out of connection range.

Paired devices remain paired even when

  • One of the devices is not on

  • A service connection is interrupted or the service stopped

  • One or both devices are rebooted.

To Pair with another device

If Secure Connection is enabled, devices will pair automatically the first time they connect (a passkey must be successfully exchanged).

To pair with a device manually:

In the Folders pane of My Bluetooth Places, right-click a device, select Pair Device from the shortcut menu, and then follow the on-screen instructions.


Remove Pairing

In the Folders pane of My Bluetooth Places, right-click a paired device and select Unpair Device from the shortcut menu.


Security Request Dialog Box

A Bluetooth passkey request and/or Bluetooth Authorization request balloon may appear over the Windows system tray when a connection is attempted if Secure Connection is enabled.

Click the balloon to proceed.


Troubleshooting

Cannot connect to a paired device

Cannot discover services on an un-paired remote device

Dial-up Networking service does not start

How do I determine the Bluetooth Device Address (BDA) of my hardware device?

How do I determine the version number of the Bluetooth Specification that the Host Controller Interface (HCI) complies with?

How do I determine the version number of the Link Manager Protocol (LMP)?

How do I find information about the Bluetooth hardware attached to my computer?

How do I test a Network Access connection?

Internet Connection Sharing Not Working

Why do I get an Unknown Port message when I attempt to use a Bluetooth Serial Port?

Why does My Bluetooth headset sometimes not work on my Windows 98 computer?


Local Services

Local Services are those services that this computer provides to remote devices.

The services supported by Bluetooth are

  • Audio Gateway

  • Bluetooth Serial Port

  • Dial-up Networking

  • Fax

  • Headset

  • Network Access

  • PIM Item Transfer

  • PIM Synchronization

  • Public Folder.

The names of all these services are displayed even though this computer may not be capable of supporting all of these services. For example, to provide the Fax service this computer must have a local Fax/Modem.

Automatic start-up can be turned off for individual services (Bluetooth Configuration Panel, Local Services tab, double-click the service name). If a service is not configured to start automatically it can still be started manually (right-click the service and select Enable from the shortcut menu).

Disable a local service

Right-click the service and select Disable from the shortcut menu. Disabled services are not available for use by clients.

With Local Device selected, the Details view of Explorer provides basic information about each local service:

  • Service—the name of the service

  • Startup—Automatic or Manual

  • Status:

  • Started(COM#)—the service is running and ready to use COM#

  • Not Started—the service is not running (not available to clients)

  • Connected(COM#)—the service is in use, the local port is COM#

  • Device name if connected:

  • Empty field—the service is not connected

  • A device name and/or Bluetooth Device Address—identifies the device that is using the service.

Interrupt a connection from the server side

  • Right-click the local service and select Disable from the shortcut menu.

  • Right-click the local service and select Enable from the shortcut menu to re-start the service.


Bluetooth Services Properties

Change a service’s properties

From the Bluetooth Configuration Panel, Local Services tab, double-click a service name.

Bluetooth Properties, General Tab

Enter a service name (one to 99 alphanumeric characters) in this field. In most cases the default service name will serve. However, in environments where there is more than one device of the same type or one device provides more than one service of the same type (this is only possible for the Bluetooth Serial Port service), the service name can be customized.

The service properties that may be changed are:

  • Startup Automatically —when enabled, starts the service when Bluetooth initializes. The default setting is disabled. If Startup is not enabled the service can still be started manually.

  • Secure Connection—when enabled, each time this service is used the remote user must submit a Passkey or Link Key. All data exchanged by this computer and the remote device will be encrypted.

Bluetooth Properties, Notifications Tab (click here)


Discovery, Report A Specific Class of Remote Device

Report only a specific class of device

  • From the Bluetooth Configuration Panel, on the Discovery tab, from the drop-down list, select "Report only selected Bluetooth devices," and then click Add Device.

  • In the Discoverable devices... dialog box, select "Allow this computer to discover all devices of a specific class or a specific type of device within a specific class."

  • From the Class drop-down list, select a class of devices to be discovered, and then click OK.


Discovery, Report Specific Remote Devices

Limit the remote devices that appear in the Bluetooth Neighborhood to those specifically chosen:

  • From the Bluetooth Configuration Panel, on the Discovery tab, from the drop-down list, select "Report only selected Bluetooth devices," and then click Add Device.

  • In the Discoverable devices... dialog box, select the "Allow this computer to discover only these devices" option, highlight the device(s) to be discovered, and then click OK.

  • Multiple devices can be selected at the same time using SHIFT + click and/or CTRL + click.


Discovery, Report A Specific Type Of Device Within A Class Of Devices

Report only a specific a type of device within a class

  • Configure Bluetooth to report the class of device that the type of device belongs to (click here for help).

  • In the Discoverable devices... dialog box, from the Type shortcut menu, select the specific type of device to be reported, and then click OK.


Page Scan Mode

Before connecting to a remote device, the local device must get the remote device's attention. It does this by "paging" the remote device.

Since the remote device usually isn't expecting a page from any particular device, it must examine, or "scan," all pages that it intercepts to determine whether they are addressed to it.

Bluetooth enters Page Scan Mode when any of the "Allow" options (other than "No devices to connect") are selected in the Bluetooth Configuration Panel's Accessibility tab.


Icons Used for Bluetooth Devices and Services

Bluetooth icons provide at-a-glance feedback about a device or service's status by changing appearance.

Click the links below to view the icons.

  • Device icons for Windows 9x, ME and 2K

  • Device icons for Windows XP

  • Service icons for Windows 9x, ME and 2K

  • Service icons for Windows XP.


Authentication Defined

Authentication

Authentication is used to verify identity; it requires a passkey or link key from the remote device. When a remote device attempts access, a visual and/or audio warning notifies the local operator.

If the notification is ignored, access is denied after a preset timeout.

When devices are “paired,” those devices automatically exchange a link key and authentication is carried out without operator intervention.


Authorization

Authorization is Yes-or-No security that requires operator intervention to avoid having the connection time out and fail.

Authorization is limited to:

  • Yes, you may connect (click the balloon to proceed)

and

  • No, you may not connect (ignore the balloon prompt and the connection will fail).


Access My Bluetooth Places

My Bluetooth Places is part of Windows Explorer.

There are multiple ways to access My Bluetooth Places:

  1. In the Windows system tray

  • Right-click the Bluetooth icon and select Explore My Bluetooth Places

or

  • Double-click the Bluetooth icon

  2. On the desktop, double-click the Bluetooth icon

  3. Open Windows Explorer and select My Bluetooth Places in the Folders pane or from the Address shortcut menu.


Create a Connection Using the Bluetooth Setup Wizard

  • From Bluetooth Explorer

  • Right-click My Bluetooth Places and select Bluetooth Setup Wizard

or

  • From the Bluetooth menu, select Bluetooth Setup Wizard

  • From the Windows system tray: right-click the Bluetooth icon and select Bluetooth Setup Wizard.

Follow the wizard's on-screen instructions.


Create a Connection From Bluetooth Explorer

From Bluetooth Explorer

  • Right-click a device name and select “Connect to…” the desired service.

or

  • In the Folders pane, select a device, and then, in the right pane, right-click a service provided by that device and select “Connect.”

  • Only available services are displayed in the menus.


Link Key Defined

A unique, internally generated, access code based on a passkey, the Bluetooth Device Address and an internally generated random number.. Link Keys are generated automatically when devices Pair.

After a link key is generated, manual entry of the passkey is not required.


Access the Bluetooth Configuration Panel

From the Windows System Tray:

  • Right-click the Bluetooth icon

  • Select Advanced Configuration from the shortcut menu.


Passkey Defined

An alphanumeric string up to 16 characters in length. Passkeys are also called Personal Identification Numbers, or PIN codes.

A passkey may be required if the Secure Connection option is enabled for a Bluetooth service or application.


Secure Connection

  • A passkey or link key is required each time a connection is attempted.

  • All data exchanged over the Bluetooth connection is encrypted.

  • Depending on other configuration options, authorization may also be required.


Supported Personal Information Managers

  • Microsoft Outlook

  • Microsoft Outlook Express

  • Lotus Notes

  • Supported PIMs are only available as a menu option in the Bluetooth configuration panel if they are installed on this computer.


Create a Connection From the Windows System Tray

In the Windows system tray, right-click the Bluetooth icon, select Quick Connect and then the Bluetooth service that you wish to use.

  • If this computer has created a connection to the desired type of service in the past, the options are:

  • The name(s) of any device(s) with which prior connections to this type of service have been established. Select a name from the list to re-establish connection.

  • Other Devices…Select this option to search for additional devices that potentially provide the desired service, select a device from the list, and then click Connect.

  • If this computer has never created a connection to this type of service, the only option is “Find Devices….” Select this option to search for devices that potentially provide the desired service, select a device from the list, and then click Connect.


Internet Sharing Not Working

Bluetooth network adapter does not share the Internet connection.

This occurs because Internet Connection Sharing was already enabled when Bluetooth was installed (this is a Microsoft Windows behavior and is considered proper operation).

To resolve the “problem”:

1. Disable Sharing for the Ethernet adapter:

a. From the Windows Control Panel, select Network and Dial-up Connections

b. Right-click “Local Area Connection,” select Properties, and then select the Sharing tab.

c. Clear (un-check) the box for “Enable Internet Connection Sharing for this connection” and then click OK.

2. Re-enable sharing for the Ethernet adapter; repeat Step 1.c.), and select (check) the sharing box.

If offered an option to select an adapter, select “Bluetooth network adapter.” (This option will not appear unless more than one adapter is available.)

If asked to reboot the computer, do so.


Determine the LMP version number

In the Bluetooth Configuration Panel, on the Hardware tab, in the Device Properties section, the seventh entry provides Link Manager Protocol version number information.

The eighth entry contains the Link Manager Protocol sub-version number information, if appropriate.


Unknown Port error

The “Unknown Port” error message usually means an attempt was made to connect a port that was in use.

Additional Bluetooth Serial Ports can be added if they are required.


Test a Network Access connection

If the client is hardwired to the LAN, unplug the hardwired connection to ensure that the test checks the wireless connection rather than the hardwired connection.

If the server has access to the Internet, open a browser on the client and connect to the World Wide Web.

You may also Ping the server from the DOS prompt.


Dial-up Networking service does not start

The Dial-up Networking service will not start unless a properly configured modem is attached to the server.

  • Verify that the modem is usable as a local device on the computer to which it is attached.

  • In the Bluetooth Configuration Panel, Local Services tab, double-click the Dial-up Networking service:

  • Click the down arrow in the Modem field and select the modem that will be used to dial out

  • Click the OK button

  • Click the OK button to close the Bluetooth Configuration Panel.


Determine the BDA of installed hardware

In the Bluetooth Configuration Panel, on the Hardware tab, in the Devices section, select the device you want to determine the address of. In the Device Properties section of the dialog box, the fourth entry, Device Address, is the BDA of the selected Bluetooth device.


Determine hardware information

In the Bluetooth Configuration Panel, select the Hardware tab.


Determine the HCI version number

In the Bluetooth Configuration Panel, on the Hardware tab, in the Device Properties section, the fifth entry provides Bluetooth Specification compliance information for the Host Controller Interface.

The sixth entry contains the Specification Revision information for the Host Controller Interface, if appropriate.


Cannot discover services on an un-paired remote device

The remote device may not be powered up or may be out of range.

  • Verify that the remote device is powered up.

  • Verify that the remote device is in Connectable mode (Bluetooth Configuration Panel > Accessibility tab).

  • Perform a Search for Devices to verify that the device is within range.


Cannot Connect to a Paired Device

Paired devices are always displayed in My Bluetooth Places, even if the remote device is out of range or not powered up.

Verify that the remote member of the pair is within radio range and powered up and then attempt the connection again.


Windows 98 Limitation

Windows 98 cannot convert audio files with the extension m3u (e.g., myfile.m3u) into the Pulse Code Modulation (PCM) audio format used by Bluetooth headsets; this is a limitation of Windows 98.

Other versions of Windows (2000, ME and XP) can translate m3u audio files into the PCM format.

Possible solutions are:

  • Upgrade to a newer version of Windows

  • Use an m3u-to-mp3 conversion utility to convert the file(s) into a format that is supported by Windows 98. (Conversion utilities are available as freeware or shareware on the Internet.)